Bug 52627 - rexec client and server broken
Summary: rexec client and server broken
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rsh   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-27 12:46 UTC by Peter Mottram
Modified: 2015-03-05 01:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-12 11:52:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of rh7.1 rexec client to Debian sid rexecd (4.90 KB, text/plain)
2001-08-27 12:50 UTC, Peter Mottram
no flags Details
strace of Debian sid rexec client to rh7.1 rexecd (8.14 KB, text/plain)
2001-08-27 12:52 UTC, Peter Mottram
no flags Details

Description Peter Mottram 2001-08-27 12:46:46 UTC
Description of Problem:

rexec client and server broken (libc problem?).

1. Connecting from rh7.1 client to other server (Debian sid/Solaris8 sparc)
with rexec client & client hangs.
2. Connecting from other client (Debian sid/Solaris8 sparc) with rexec to
rh7.1 server & client hangs.

Version-Release number of selected component (if applicable):

glibc-2.2.2-10
rsh-0.17-2.5
rsh-server-0.17-2.5


How Reproducible:

rexec -l <username> -p <password> <serveraddress> <command>

Steps to Reproduce:
1. as above!
2. 
3. 

Actual Results:

hang

Expected Results:

result of command (in fact just a simple 'pwd')

Additional Information:
	

strace output from client connections in attachments

Comment 1 Peter Mottram 2001-08-27 12:50:10 UTC
Created attachment 29694 [details]
strace of rh7.1 rexec client to Debian sid rexecd

Comment 2 Peter Mottram 2001-08-27 12:52:31 UTC
Created attachment 29695 [details]
strace of Debian sid rexec client to rh7.1 rexecd

Comment 3 Peter Mottram 2001-08-27 12:54:35 UTC
Testing note:

Debian sid rexec to/from Solaris8 sparc has no problems.

Comment 4 Phil Knirsch 2001-08-27 13:01:36 UTC
Have you tried newer glibc versions resp. newer rsh packages? There are a few
minor bugfixes that might be related in the newest rsh packages in rawhide.

Read ya, Phil

Comment 5 Peter Mottram 2001-08-30 09:36:36 UTC
updated glibc + glibc-common to 2.2.4-8 with both rsh packages to 0.17-5 but all
still as gloomy & non-functional as ever.  Any further thoughts?

r., PeteM

Comment 6 Greg Kelleher 2003-06-18 00:51:49 UTC
Close as inactive bug

Comment 7 Phil Knirsch 2004-01-12 11:52:24 UTC
Closing.


Note You need to log in before you can comment on or make changes to this bug.